﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DragDropAndUpPanel2.aspx.cs"
    Inherits="DragDropAndUpdatePanels.DragDropAndUpPanel2" %>

<%@ Register Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2064, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
        <Scripts>
            <asp:ScriptReference Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2064, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Name="Infragistics.Web.UI.SharedScripts.igDragDrop.js" />
            <asp:ScriptReference Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2064, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Name="Infragistics.Web.UI.Scripts.5_igObjects.js" />
            <asp:ScriptReference Assembly="Infragistics4.Web.v11.1, Version=11.1.20111.2064, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Name="Infragistics.Web.UI.SharedScripts.igAnimation.js" />
        </Scripts>
    </asp:ScriptManager>
    <script type="text/javascript">
        Sys.Application.add_load(appLoaded);

        var ddb;

        function appLoaded() {
            ddb = new $IG.DragDropBehavior();

            var tree = $find('<%=wdt.ClientID %>');

            var rootNode = tree.getNode(0);

            for (var i = 0; i < rootNode.get_childrenCount(); i++) {
                ddb.addSourceObject(rootNode.get_childNode(i));
            }

            ddb.addTargetElement(document.getElementById('<%=TextBox1.ClientID %>'), false)


            ddb.get_events().addDropHandler(myDropHandler);

        }

        //updates the label and every panel on the page
        function updateAll() {
            var UpdatePanelIDs = new Array();
            Sys.WebForms.PageRequestManager.getInstance().beginAsyncPostBack(UpdatePanelIDs, "updateAll", "");
        }

        //Updates the label and its update panel
        function updateLabel() {
            var UpdatePanelIDs = new Array();
            Sys.WebForms.PageRequestManager.getInstance().beginAsyncPostBack(UpdatePanelIDs, "updateLabel", "");
        }

        //Handles the drop
        function myDropHandler(sender, eventArgs) {
            document.getElementById('<%=txtLog.ClientID %>').value += "node dropped: " + eventArgs.get_manager().get_source().object.get_text() + "\n";
            var UpdatePanelIDs = new Array();
            Sys.WebForms.PageRequestManager.getInstance().beginAsyncPostBack(UpdatePanelIDs, "myCustomTarget", eventArgs.get_manager().get_source().object.get_text());
        }
    </script>
    <div>
        <div style="float: left;">
            <asp:UpdatePanel ID="upWdt" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <ig:WebDataTree ID="wdt" runat="server" Height="300px" Width="100px">
                        <Nodes>
                            <ig:DataTreeNode Text="Items">
                                <Nodes>
                                    <ig:DataTreeNode Text="Node0">
                                    <Nodes>
                                    <ig:DataTreeNode Text="Node0-1">
                                    </ig:DataTreeNode>
                                    </Nodes>
                                    </ig:DataTreeNode>
                                    <ig:DataTreeNode Text="Node1">
                                    </ig:DataTreeNode>
                                    <ig:DataTreeNode Text="Node2">
                                    </ig:DataTreeNode>
                                </Nodes>
                            </ig:DataTreeNode>
                        </Nodes>
                    </ig:WebDataTree>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div style="float: right; height: 300px">
            <asp:Button ID="btnUpLabel" runat="server" Text="UpdateLabel" OnClientClick="javascript:updateLabel();return false;" />
            <asp:Button ID="btnUpAll" runat="server" Text="Update All" OnClientClick="javascript:updateAll();return false;"/>
            <asp:UpdatePanel ID="upLabel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:Label ID="lbl" runat="server" Text=""></asp:Label>
                </ContentTemplate>
            </asp:UpdatePanel>
            <asp:UpdatePanel ID="upDropTarget" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Height="100%" Width="100%" TextMode="MultiLine"
                        Text="Drop Here"></asp:TextBox>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
    </div>

    
    <asp:UpdatePanel UpdateMode="Conditional" runat="server" ID="uptxtLog">
        <ContentTemplate>
            <asp:TextBox ID="txtLog" runat="server" Height="200px" TextMode="MultiLine" Width="100%"></asp:TextBox>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
